API Reference
API Reference

/requisitions/custom_attributes/:id/choices

Returns the allowed choices of a requisition custom attribute. Required scope: r_requisitions. Accessible with all token types for accounts with Hiring Plan.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Results

Calling the /requisitions/custom_attributes/:id/choices endpoint will return the allowed choices of the specified requisition custom attribute, ordered by position. The attribute must be enabled and of type dropdown or multiple_choice.

Results are paginated with the limit (default 50, maximum 1000) and offset (default 0) query parameters. Use total to determine whether more choices remain.

keytypedescription
choicesarrayArray of choices
totalintegerThe total number of choices of the attribute, regardless of limit and offset

Each choice will have the following keys:

keytypedescription
idstringThe choice identifier. Use this value when setting the attribute on a requisition.
bodystringThe label of the choice
hintstringThe hint of the choice
translationsobjectThe label (body) and hint of the choice, keyed by language code

Errors

statusdescription
404No requisition custom attribute with the specified id exists in the account
422The attribute is not of type dropdown or multiple_choice, or the attribute is not enabled
Path Params
string
required

The requisition custom attribute's id, as returned by /requisitions/custom_attributes

Query Params
int32
Defaults to 50

Specifies the number of choices to retrieve (optional). Defaults to 50, maximum 1000.

int32
Defaults to 0

Specifies the number of choices to skip (optional). Defaults to 0.

Responses

404

404 - No requisition custom attribute with the specified id exists in the account. The response has an empty body.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json